phpCollab Community
Discuss everything phpCollab!

The forums are currently in READ-ONLY mode while we upgrade the forums.
Home » Development » Development » phpCollab with CodeIgniter
phpCollab with CodeIgniter [message #8977] Thu, 08 March 2012 23:04 Go to next message
ceam is currently offline  ceam
Messages: 5
Registered: January 2003
Location: France
phpCollab guest
Site Admin
Hi

I started to rebuild the project with CodeIgniter
https://github.com/project29k/phpcollab

Same database, same design (but with fresh/modern css and html), same translations

[Updated on: Thu, 08 March 2012 23:07]

Report message to a moderator

Re: phpCollab with CodeIgniter [message #9003 is a reply to message #8977] Fri, 20 April 2012 19:00 Go to previous messageGo to next message
pateld
Messages: 6
Registered: April 2012
phpCollab guest
Can you tell me how should I run it? I installed in folder "phpcollab_ci" under htdocs and modify application/config/database.php . But when I get 404 when I try to visit http://localost/phpcollab_ci ? It redirects to https://localhost/phpcollab_ci/login and then throws 404 error. I think I am missing something to setup up CodeIgniter on my machine.

Thanks.
Re: phpCollab with CodeIgniter [message #9004 is a reply to message #8977] Sat, 21 April 2012 08:06 Go to previous messageGo to next message
ceam is currently offline  ceam
Messages: 5
Registered: January 2003
Location: France
phpCollab guest
Site Admin
Do you have mod_rewrite (Apache module) enabled on your server?
And the .htaccess file is present?
Re: phpCollab with CodeIgniter [message #9005 is a reply to message #9004] Sat, 21 April 2012 20:31 Go to previous messageGo to next message
pateld
Messages: 6
Registered: April 2012
phpCollab guest
Yes. Both of them.
Re: phpCollab with CodeIgniter [message #9007 is a reply to message #9005] Mon, 23 April 2012 17:36 Go to previous messageGo to next message
pateld
Messages: 6
Registered: April 2012
phpCollab guest
I figure out whats wrong with my setup.

I have Apache 2.4 and its working. So I tried with Apache 2.2 and its working.

I received permission table error which was easily solved by adding permission table into database. Also I think you need to update phpcollab-install.sql script and add SQL commands from phpcollab-update-2.5-to-3.0 into it. This way if anyone is doing fresh install, he/she should have all tables in it.
Re: phpCollab with CodeIgniter [message #9008 is a reply to message #8977] Sat, 28 April 2012 22:39 Go to previous message
ceam is currently offline  ceam
Messages: 5
Registered: January 2003
Location: France
phpCollab guest
Site Admin
thanks, it's updated
Previous Topic: New Design Template
Next Topic: 2.5 Beta Release 2: Issues, Bugs, Etc.
Goto Forum:
  


Current Time: Wed Apr 16 19:11:25 CEST 2014

Total time taken to generate the page: 0.68583 seconds